%WW band
function [wwband]=ww(sterr,irfb,h,sl,n,varm,novars,novar,nvar,ct,nlags);

wwband=zeros(2,h);

varm1=varm(novars*nvar*h-nvar*h+1:novars*nvar*h,novars*nvar*h-nvar*h+1:novars*nvar*h);

e=zeros(1,nvar);
e(novar)=1;
k=kron(eye(h),e);
v=k*varm1*k';

kmaxabs=zeros(n,1);

for i=1:n
    kmaxabs(i)=max(abs(sterr(i,:)));
end

dmaxabs=quantile(kmaxabs,1-sl);

for j=1:h
    wwband(1,j)=irfb(j)-dmaxabs*sqrt(v(j,j));
    wwband(2,j)=irfb(j)+dmaxabs*sqrt(v(j,j));
end
