%lower and upper bounds of the B-adj band
function [b1,b2]=adjB(h,B1,B2,bb1,n,sl)

idx=zeros(n,1);
%find bootstrap functions inside the Bonferroni bounds
for i=1:n
    k=inside((1:1),bb1(i,1:h),B1(1,1:h),B2(1,1:h));
    idx(i)=k;
end
l=sum(idx);

[C,index0]=sort(bb1);

indexnew=[[reshape(index0(1:sl*n,:),sl*n*h,1)];[reshape(index0(n-n*sl+1:n,:),sl*n*h,1)]];
indexunique=unique(indexnew);

oo=ones(n,1);
oo(indexunique)=0;
oo=logical(oo);
oo1=[1:n]';
int=oo1(oo);

ll=n-size(indexunique,1);

for j=1:ll
    idx(int(j))=0;
end

idx2=logical(idx);

A1=bb1(idx2,:);

s=l-(1-sl)*n;

for i=1:s
    [C1,i1]=min(A1);
    [C2,i2]=max(A1);
    indexunique=unique([i1 i2]);

    ll=length(indexunique);
    d=zeros(ll,1);
    for j=1:ll
        y=A1;
        sm=size(y,1);
        %find horizons at which min/max may have changed
        indexhx=[];
        indexhn=[];
        for kk=1:h
            if y(indexunique(j),kk)==C2(kk)
                indexhx=[indexhx kk];
            end
            if y(indexunique(j),kk)==C1(kk)
                indexhn=[indexhn kk];
            end
        end

        h1=length(indexhn);
        h2=length(indexhx);

        y1=C1;
        y2=C2;

        if indexunique(j)==1
            if h1>0
                for g=1:h1
                    y1(indexhn(g))=min(y(2:end,indexhn(g)));
                end
            end
            if h2>0
                for g=1:h2
                    y2(indexhx(g))=max(y(2:end,indexhx(g)));
                end
            end
        elseif indexunique(j)==sm
            if h1>0
                for g=1:h1
                    y1(indexhn(g))=min(y(1:sm-1,indexhn(g)));
                end
            end
            if h2>0
                for g=1:h2
                    y2(indexhx(g))=max(y(1:sm-1,indexhx(g)));
                end
            end
        else
            if h1>0
                for g=1:h1
                    y1(indexhn(g))=min([y(1:indexunique(j)-1,indexhn(g)); y(indexunique(j)+1:end,indexhn(g))]);
                end
            end

            if h2>0
                for g=1:h2
                    y2(indexhx(g))=max([y(1:indexunique(j)-1,indexhx(g)); y(indexunique(j)+1:end,indexhx(g))]);
                end
            end
        end

        d(j)=sum(y2-y1,2);
    end
    [d1,indd]=min(d);

    AA=A1;
    AA(indexunique(indd),:)=[];
    A1=AA;
end

b1=min(A1);
b2=max(A1);