function [p] = lagest(y,nvar,maxlag,infoc);

	aicc = zeros(maxlag,1);
	aic = zeros(maxlag,1);
	sic = zeros(maxlag,1);

	vs = size(y,2);

	plag = 1;
	yt = y(maxlag+1:size(y,1),:);
	tt = size(yt,1);

    while(plag<maxlag+1)
	
	x = ones(size(y,1)-maxlag,1);
	i = 1;
	while(i<plag+1)
	
	x = [x y((maxlag-i+1):(size(y,1)-i),:)];
	i=i+1;
    end

	beta = inv(x'*x)*(x'*yt);
	u = yt - x*beta;
	vcv = u'*u;
	
	aicc(plag) = tt*log(det(vcv)) + tt*(tt*vs + plag*vs^2)/(tt - plag*vs - vs - 1);
	aic(plag)  = tt*(log(det(vcv)) + nvar) + 2*(plag*vs^2 + vs*(vs+1)/2);
	sic(plag)  = tt*(log(det(vcv)) + nvar) + (plag*vs^2)*log(tt);

	plag=plag+1;
    end

	if infoc==1
    	[ss,p] = min(aicc); 
    end
    
    if infoc==2
	    [ss,p] = min(aic);
    end
    
    if infoc==3
	    [ss,p] = min(sic);
    end

