function out=output(mc,n,tt,sl,h,lag_e,naive_cov,scheffe_cov,scheffe_mod_cov,bonferroni_cov,bonferroni_adj_cov,npaths_cov,...
    WW_cov,naive_width,scheffe_width,scheffe_mod_width,bonferroni_width,bonferroni_adj_width,npaths_width,WW_width);

fid = fopen('Results/SUMMARY.asc','w+');

fprintf(fid,'Number of MC replications: %6.0f\n',mc);
fprintf(fid,'Number of bootstrap replications: %6.0f\n',n);
fprintf(fid,'Net sample size: %6.0f\n',tt);
fprintf(fid,'1-nominal coverage rate: %6.2f\n',sl);
fprintf(fid,'Horizon: %6.0f\n',h);
fprintf(fid,'Lag order estimation (0 - true lag order used, 1 - lag order estimated): %6.0f\n',lag_e);

fprintf(fid,'\n Naive band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'Mean: %6.6f\n', mean(naive_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'Mean: %6.6f\n', mean(naive_width,1)');

fprintf(fid,'\n The Scheffe band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'Mean: %6.6f\n', mean(scheffe_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'Mean: %6.6f\n', mean(scheffe_width,1)');

fprintf(fid,'\n Modified Scheffe band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'Mean: %6.6f\n', mean(scheffe_mod_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'Mean: %6.6f\n', mean(scheffe_mod_width,1)');

fprintf(fid,'\n The Bonferroni band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'Mean: %6.6f\n', mean(bonferroni_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'Mean: %6.6f\n', mean(bonferroni_width,1)');

fprintf(fid,'\n The adjusted Bonferroni band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'Mean: %6.6f\n', mean(bonferroni_adj_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'Mean: %6.6f\n', mean(bonferroni_adj_width,1)');


fprintf(fid,'\n The NP band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'Mean: %6.6f\n', mean(npaths_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'Mean: %6.6f\n', mean(npaths_width,1)');

fprintf(fid,'\n The WW band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'Mean: %6.6f\n', mean(WW_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'Mean: %6.6f\n', mean(WW_width,1)');

fclose(fid);
out=1;
