function b1f=forb(mx, mx1, nlags, nvar, ct);

[bm1, um1, sigmam1, ym1, xm1] = olsvar_m(mx1, nlags);

Pihat=[bm1' ; [eye(nvar*(nlags-1)) zeros(nvar*(nlags-1),nvar)]];
evf=eig(Pihat);

if max(abs(evf))>=1
    Pic=Pihat;
end

if max(abs(evf))<1
    Gam=zeros(nvar*nlags,nvar*nlags);
    for i=0:ct-nlags
        xx=1;
        j=0;
        while j<nlags
            xx=[xx mx1(nlags-j+i,:)];
            j=j+1;
        end
        xx=xx(2:nvar*nlags+1);
        Gam=Gam+xx'*xx;
    end

    G=[[sigmam1*(ct-nlags)/(ct-nlags-nlags*nvar) zeros(nvar,nvar*(nlags-1))]; zeros(nvar*(nlags-1),nvar*nlags)];

    sum2=zeros(nvar*nlags,nvar*nlags);
    for i=1:(nlags*nvar)
        sum2=sum2+evf(i)*inv(eye(nlags*nvar)-evf(i)*Pihat');
    end

    biasPi=-G*(inv(eye(nlags*nvar)-Pihat')+Pihat'*inv(eye(nlags*nvar)-(Pihat')^2)+sum2)*inv(Gam);

    Pic=Pihat-biasPi;

    biasPi1=biasPi;
    delta=1;

    if max(abs(eig(Pic)))>=1
        while max(abs(eig(Pic)))>=1
            biasPi1=biasPi1*delta;
            delta=delta-0.01;
            Pic=Pihat-biasPi1;
        end
    end
end

[T,T1]=size(mx);
y=mx((nlags+1):T,1:T1);
x=ones(T-nlags,1);

for i=1:nlags
    x = [x mx((nlags-i+1):(T-i),1:T1)];
end
x=x(1:T-nlags,2:size(x,2));

const=mean(y(:,:))-mean(x*Pic(1:nvar,:)');

b1f=[const; Pic(1:nvar,:)'];