% NP bands
function [band]=np(fp, fpm, h, novar, sl, n)

index0=zeros(n,h);
index1=zeros(2*h,1);
dist=zeros(2*h,2);
band=zeros(2,h);

fp1=fp;
k=novar;

[C,index0]=sort(fp1);

indexnew=[[reshape(index0(1:sl*n,:),sl*n*h,1)];[reshape(index0(n-n*sl+1:n,:),sl*n*h,1)]];
indexunique=unique(indexnew);

l=size(indexunique,1);

fp2=fp1(indexunique,:);

for i=1:n*sl

    [m1,i1]=max(fp2);
    [m2,i2]=min(fp2);

    index1(1:h)=i2';
    index1(h+1:2*h)=i1';

    dist(:,1)=index1(:,:);
    for ii=1:2*h
        dist(ii,2)=sum((fp2(index1(ii),:)-fpm(k,:)).^2);
    end

    distsort=(sortrows(dist,2)')';

    if(distsort(2*h,1)==1)
        fp2=fp2(2:length(fp2),:);
    elseif(distsort(2*h,1)==length(fp2))
        fp2=fp2(1:length(fp2)-1,:);
    else
        fp2=[fp2(1:distsort(2*h,1)-1,:) ; fp2(distsort(2*h,1)+1:length(fp2),:)];
    end

end

band(1,:)=min(fp2);
band(2,:)=max(fp2);