function [b, u, sigma, y, x] = olsvar(z, nlags);

[T,T1]=size(z);
y=z((nlags+1):T,1:T1);
x=ones(T-nlags,1);

for i=1:nlags
    x = [x z((nlags-i+1):(T-i),1:T1)];
end

b=inv(x'*x)*(x'*y);
u=y-x*b;
sigma=u'*u/(T-nlags);


